#
# spec file for package perl-Test-Future-IO-Impl
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Test-Future-IO-Impl
Name:           perl-Test-Future-IO-Impl
Version:        0.150.0
Release:        1.1
# 0.15 -> normalize -> 0.150.0
%define cpan_version 0.15
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Acceptance tests for Future::IO implementations
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.400.400
BuildRequires:  perl(Test2::V0)
Requires:       perl(Test2::V0)
Provides:       perl(Test::Future::IO::Impl) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
This module contains a collection of acceptance tests for implementations
of Future::IO.

%prep
%autosetup -n %{cpan_name}-%{cpan_version} -p1

%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Wed Jul 16 2025 Tina Müller <timueller+perl@suse.de>
- updated to 0.150.0 (0.15)
  see /usr/share/doc/packages/perl-Test-Future-IO-Impl/Changes
  0.15    2025-07-15
    [CHANGES]
  * Added tests for `send`, `recv` and `recvfrom` methods
  * Provide copies of `sysread` and `syswrite` tests named `read` and
    `write`
* Tue May  9 2023 Dirk Stoecker <opensuse@dstoecker.de>
- initial package 0.14
  * created by cpanspec 1.83.00
